<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$set['title']='Рынок VipSpaces-City'; // caaieiaie no?aieou
include_once '../sys/inc/thead.php';

only_reg(); // только для зарегистрированых
title(); // только для зарегистрированых


$vr=time();
if($user['pr']>=100)
{echo'<div class=\"mgs\">Ваша привлекательность прокачена!</div><br/>';


}
if($_GET['mode']=='')
{
if($user['health']>=100)
{
echo"<div class=\"mgs\">Вы полностью прокачены!</div><br />";
$user['health']=100;
mysql_query("UPDATE `user` SET `health` = '".$user['health']."' WHERE `id` = '".$user['id']."';");
}
echo"<div class=\"aut\"> У вас в наличии <b>$user[balls]</b> баллов<br /> Здоровье:<b> $user[health]</b>%</div><br/>";
echo"Хотите поправить свое здоровье?<br />";
echo"Способы увеличения здоровья:<br />";
echo"<a href='health.php?mode=1'>Покопаться в мусорке</a> (На халяву)<br />";
echo"
(Увеличивает здоровье на 1%, если повезет что-то там найти, утоляет голод на 1 час)<br />";
echo"<a href='health.php?mode=2'>Выпить пива</a> (Цена: 30 баллов)<br />";
echo"(Увеличивает здоровье на 3%, самая дешевая цена, утоляет голод на 2 часа)<br />";
echo"<a href='health.php?mode=3'>Съесть гамбургер</a> (Цена: 50 баллов)<br />";
echo"(Увеличивает здоровье на 5%, утоляет голод на 3 часа)<br />";
echo"<a href='health.php?mode=4'>Съесть пиццу </a> (Цена: 70 баллов)<br />";
echo"(Увеличивает здоровье на 10%, утоляет голод на 3,5 часа)<br />";
echo"<a href='health.php?mode=5'>Съесть жареную рыбу  </a> (Цена: 90 баллов)<br />";
echo"(Увеличивает здоровье на 15%, средняя цена, утоляет голод на 4 часа)<br />";
echo"<a href='health.php?mode=6'>Съесть жареную курицу </a> (Цена: 110 баллов)<br />";
echo"(Увеличивает здоровье на 20%, утоляет голод на 4,5 часа)<br />";
echo"<a href='health.php?mode=7'>Съесть жареного поросенка </a> (Цена: 150 баллов)<br />";
echo"(Увеличивает здоровье на 25%, утоляет голод на 5 часов)<br /><br />";
echo'Нажмите на выбранный вами товар и при достаточном количестве баллов вы сможете поправить свое здоровье
Увеличивать свое здоровье можно не чаще,чем пока не начался голод<br />';

}
if($_GET['mode']=='1')
{
if ($vr>$user['time_health'])
{
$user['health']+=1;
mysql_query("UPDATE `user` SET `health` = '".$user['health']."' WHERE `id` = '$user[id]';");
$vr=time();
$vr+=3600;
$user['time_health']=$vr;
mysql_query("UPDATE `user` SET `time_health` = '".$user['time_health']."' WHERE `id` = '$user[id]';");
echo"Вы успешно улучшили состояние своего здоровья!<br />";
echo"Следующее улучшение состояния здоровья возможно не ранее,чем через <b>1</b> час<br />";
echo"Уровень вашего здоровья равен <b>".$user['health']."</b><br />";
}
else
{
echo"Увеличивать свое здоровье можно не чаще,чем пока не начался голод<br />";
echo'Уровень вашего здоровья <b>'.$user['health'].'</b><br />';
}
echo "<a href=\"/gorod\">&#8592;в город</a><br />\n";
}

if($_GET['mode']=='2')
{
$vr=time();
if($user['balls']<30)
{
echo"У вас не хватает баллов,чтобы поесть!<br />";
}
if ($vr>$user['time_health'])
{

$user['balls']-=30;
mysql_query("UPDATE `user` SET `balls` = '".$user['balls']."' WHERE `id` = '$user[id]';");
$user['health']+=3;
mysql_query("UPDATE `user` SET `health` = '".$user['health']."' WHERE `id` = '$user[id]';");
$vr=time();
$vr+=7200;
$user['time_health']=$vr;
mysql_query("UPDATE `user` SET `time_health` = '".$user['time_health']."' WHERE `id` = '$user[id]';");
echo"Вы успешно улучшили состояние своего здоровья!<br />";
echo"Следующее улучшение состояния здоровья возможно не ранее,чем через <b>2</b> часа<br />";
echo"Уровень вашего здоровья равен <b>".$user['health']."</b><br />";
}
else
{
echo"Увеличивать свое здоровье можно не чаще,чем пока не начался голод<br />";
echo'Уровень вашего здоровья <b>'.$user['health'].'</b><br />';
}
echo "<a href=\"/gorod\">&#8592;в город</a><br />\n";
}
if($_GET['mode']=='3')
{
$vr=time();
if($user['balls']<50)
{
echo"У вас не хватает баллов,чтобы поесть!<br />";
}
if ($vr>$user['time_health'])
{
$user['balls']-=50;
mysql_query("UPDATE `user` SET `balls` = '".$user['balls']."' WHERE `id` = '$user[id]';");
$user['health']+=5;
mysql_query("UPDATE `user` SET `health` = '".$user['health']."' WHERE `id` = '$user[id]';");
$vr=time();
$vr+=10800;
$user['time_health']=$vr;
mysql_query("UPDATE `user` SET `time_health` = '".$user['time_health']."' WHERE `id` = '$user[id]';");
echo"Вы успешно улучшили состояние своего здоровья!<br />";
echo"Следующее улучшение состояния здоровья возможно не ранее,чем через <b>3</b> часа<br />";
echo"Уровень вашего здоровья равен <b>".$user['health']."</b><br />";
}
else
{
echo"Увеличивать свое здоровье можно не чаще,чем пока не начался голод<br />";
echo'Уровень вашего здоровья <b>'.$user['health'].'</b><br />';
}
echo "<a href=\"/gorod\">&#8592;в город</a><br />\n";
}

if($_GET['mode']=='4')
{
$vr=time();
if($user['balls']<70)
{
echo"У вас не хватает баллов,чтобы поесть!<br />";
}
if ($vr>$user['time_health'])
{
$user['balls']-=70;
mysql_query("UPDATE `user` SET `balls` = '".$user['balls']."' WHERE `id` = '$user[id]';");
$user['health']+=10;
mysql_query("UPDATE `user` SET `health` = '".$user['health']."' WHERE `id` = '$user[id]';");
$vr=time();
$vr+=12600;
$user['time_health']=$vr;
mysql_query("UPDATE `user` SET `time_health` = '".$user['time_health']."' WHERE `id` = '$user[id]';");
echo"Вы успешно улучшили состояние своего здоровья!<br />";
echo"Следующее улучшение состояния здоровья возможно не ранее,чем через <b>3,5</b> часа<br />";
echo"Уровень вашего здоровья равен <b>".$user['health']."</b><br />";
}
else
{
echo"Увеличивать свое здоровье можно не чаще,чем пока не начался голод<br />";
echo'Уровень вашего здоровья <b>'.$user['health'].'</b><br />';
}
echo "<a href=\"/gorod\">&#8592;в город</a><br />\n";
}
if($_GET['mode']=='5')
{
$vr=time();
if($user['balls']<90)
{
echo"У вас не хватает баллов,чтобы поесть!<br />";
}
if ($vr>$user['time_health'])
{
$user['balls']-=90;
mysql_query("UPDATE `user` SET `balls` = '".$user['balls']."' WHERE `id` = '$user[id]';");
$user['health']+=15;
mysql_query("UPDATE `user` SET `health` = '".$user['health']."' WHERE `id` = '$user[id]';");
$vr=time();
$vr+=14400;
$user['time_health']=$vr;
mysql_query("UPDATE `user` SET `time_health` = '".$user['time_health']."' WHERE `id` = '$user[id]';");
echo"Вы успешно улучшили состояние своего здоровья!<br />";
echo"Следующее улучшение состояния здоровья возможно не ранее,чем через <b>4</b> часа<br />";
echo"Уровень вашего здоровья равен <b>".$user['health']."</b><br />";
}
else
{
echo"Увеличивать свое здоровье можно не чаще,чем пока не начался голод<br />";
echo'Уровень вашего здоровья <b>'.$user['health'].'</b><br />';
}
echo "<a href=\"/gorod\">&#8592;в город</a><br />\n";
}

if($_GET['mode']=='6')
{
$vr=time();
if($user['balls']<110)
{
echo"У вас не хватает баллов,чтобы поесть!<br />";
}
if ($vr>$user['time_health'])
{
$user['balls']-=110;
mysql_query("UPDATE `user` SET `balls` = '".$user['balls']."' WHERE `id` = '$user[id]';");
$user['health']+=20;
mysql_query("UPDATE `user` SET `health` = '".$user['health']."' WHERE `id` = '$user[id]';");
$vr=time();
$vr+=16200;
$user['time_health']=$vr;
mysql_query("UPDATE `user` SET `time_health` = '".$user['time_health']."' WHERE `id` = '$user[id]';");
echo"Вы успешно улучшили состояние своего здоровья!<br />";
echo"Следующее улучшение состояния здоровья возможно не ранее,чем через <b>4,5</b> часа<br />";
echo"Уровень вашего здоровья равен <b>".$user['health']."</b><br />";
}
else
{
echo"Увеличивать свое здоровье можно не чаще,чем пока не начался голод<br />";
echo'Уровень вашего здоровья <b>'.$user['health'].'</b><br />';
}
echo "<a href=\"/gorod\">&#8592;в город</a><br />\n";
}
if($_GET['mode']=='7')
{
$vr=time();
if($user['balls']<150)
{
echo"У вас не хватает баллов,чтобы поесть!<br />";
}
if ($vr>$user['time_health'])
{
$user['balls']-=150;
mysql_query("UPDATE `user` SET `balls` = '".$user['balls']."' WHERE `id` = '$user[id]';");
$user['health']+=25;
mysql_query("UPDATE `user` SET `health` = '".$user['health']."' WHERE `id` = '$user[id]';");
$vr=time();
$vr+=18000;
$user['time_health']=$vr;
mysql_query("UPDATE `user` SET `time_health` = '".$user['time_health']."' WHERE `id` = '$user[id]';");
echo"Вы успешно улучшили состояние своего здоровья!<br />";
echo"Следующее улучшение состояния здоровья возможно не ранее,чем через <b>5</b> часов<br />";
echo"Уровень вашего здоровья равен <b>".$user['health']."</b><br />";
}
else
{
echo"Увеличивать свое здоровье можно не чаще,чем пока не начался голод<br />";
echo'Уровень вашего здоровья <b>'.$user['health'].'</b><br />';
}
echo "<a href=\"/gorod\">&#8592;в город</a><br />\n";
}

///////////////////

include_once '../sys/inc/tfoot.php';
?>
